/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_CLOCK_H
#define H_CLOCK_H

/* Main system clock */

#include "bits.h"

void clock_advance(word cycles);
uint64_t clock_get_cycle_count(void);

#endif /* H_CLOCK_H */
