/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#include "bits.h"

byte load8(word seg, word off);
word load16(word seg, word off);
dword load32(word seg, word off);
void store8(word seg, word off, byte val);
void store16(word seg, word off, word val);
void store32(word seg, word off, dword val);
byte* memory_mda_vram(void);
void load_basic(byte* from);
void load_bios(byte* from);
void memory_dump_at(word seg, word off);
