/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

/* Intel 8255A peripheral chip */
#ifndef H_PERIPH_H
#define H_PERIPH_H

#include "bits.h"

byte periph_port_a_in(void);
byte periph_port_b_in(void);
void periph_port_b_out(byte outbyte);
byte periph_port_c_in(void);
byte periph_poll_irq1(void);
void periph_dump_state(void);
void periph_init(int (*keyfunc)(void), byte diskette_drives);
void periph_pollkey(void);

#endif /* H_PERIPH_H */
