/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#include "bits.h"

#define BREAKPOINT_MAX 8

extern byte breakpoints;

int breakpoint_hit(word cs, word ip);
int breakpoint_set(word cs, word ip);
void breakpoint_clear(byte i);
void breakpoint_print(void);
