/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#include "bits.h"
#include "clock.h"

/* Main system clock. This is just a count of the total emulated cycles */

static uint64_t cycle_count;

void clock_advance(word cycles) {
    cycle_count += cycles;
}

uint64_t clock_get_cycle_count(void) {
    return cycle_count;
}
