/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_DMA_H
#define H_DMA_H

#include "bits.h"

void dma_init(void);
byte dma_read_reg(byte which);
void dma_write_reg(byte which, byte val);
void dma_dump_state(void);

#endif /* H_DMA_H */
