/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_PIC_H
#define H_PIC_H

#include "bits.h"

byte pic_get_mask(void);
byte pic_poll(void);
void pic_dump_state(void);
void pic_init(byte (**irqfunc)(void));
void pic_set_mask(byte mask);

#endif /* H_PIC_H */
